# API Reference

Complete API reference for all ByteUnit classes and functions, automatically generated from source code.

## 📚 Core Components

This page provides links to all the main components. Each component has its own detailed page:

- **[Storage Class](storage.md)** - Main storage class with conversion and arithmetic operations
- **[StorageUnit Enum](storage-unit.md)** - Unit definitions and conversion factors  
- **[Platform Storage](platform-storage.md)** - Platform-specific optimized implementations

## ByteUnit Class Alias

The `ByteUnit` class is an alias for the `Storage` class, providing identical functionality with a name that matches the package. Both classes are functionally identical and can be used interchangeably.

---

All documentation is automatically generated from source code docstrings to ensure accuracy and completeness.